Draft Array/it: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "Ogni elemento dell'array è un clone esatto dell'oggetto originale, ma l'intero array è considerato una singola unità in termini di proprietà e aspetto.")
Line 19: Line 19:
# L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.
# L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.


Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.
Ogni elemento dell'array è un clone esatto dell'oggetto originale, ma l'intero array è considerato una singola unità in termini di proprietà e aspetto.


== Options ==
== Options ==

Revision as of 20:32, 18 April 2019

Matrice

Posizione nel menu
Draft → Matrice
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Schiera su tracciato, Schiera su punti, Clone

Descrizione

Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign.

Per posizionare le copie lungo un percorso utilizzare Schiera su percorso; per posizionare le copie in punti specificati usare Schiera su punti; per creare copie o cloni e posizionarli manualmente usare Sposta, Ruota, e Clona.

Una schiera ortogonale e una schiera polare da un oggetto solido

Utilizzo

  1. Selezionare un oggetto con cui si desidera creare una schiera.
  2. Premere il pulsante Schiera su percorso. Se nessun oggetto è selezionato, si viene inviti a selezionarne uno.
  3. L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.

Ogni elemento dell'array è un clone esatto dell'oggetto originale, ma l'intero array è considerato una singola unità in termini di proprietà e aspetto.

Options

There are no options for this tool. Either it works with the selected object or not.

Properties

  • DatiBase: specifies the object to duplicate in the array.
  • DatiArray Type: specifies the type of array to create, either "ortho" or "polar".
  • DatiFuse: if it is true, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:

  • DatiInterval X: specifies the interval between each copy on the X axis.
  • DatiInterval Y: specifies the interval between each copy on the Y axis.
  • DatiInterval Z: specifies the interval between each copy on the Z axis.
  • DatiNumber X: specifies the number of copies on the X axis.
  • DatiNumber Y: specifies the number of copies on the Y axis.
  • DatiNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • DatiAxis: specifies the normal direction of the array circle.
  • DatiCenter: specifies the center point of the array circle.
  • DatiAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • DatiNumber Polar: specifies the number of copies to place in the circular arrangement.
  • DatiInterval Axis: specifies the interval between each copy on the DatiAxis direction.

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if DatiInterval X is (2 m, 1 m, 1 m), and DatiNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The DatiInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with DatiInterval Axis (0, 0, z) allows you to make spiral arrangements.

Script

Vedere anche: API Arch e Script di base per FreeCAD.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Schiera semplice

Per le matrici rettangolari:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Per matrici polari:

array_list = array(objectslist, center, totalangle, totalnum)
  • Crea una schiera di oggetti contenuti nella lista (che può essere di un oggetto o di un elenco di oggetti) con, in caso di matrice rettangolare, xnum di iterazioni nella direzione x, alla distanza xvector tra le iterazioni, e lo stesso per la direzione y, con yvector e ynum, e lo stesso vale per la direzione z con zvector e znum se viene usata tale versione. Nel caso di una serie polare, il centro è un vettore, totalangle è l'angolo a coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
  • Questa funzione produce copie indipendenti dell'oggetto(i) di base.

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Schiera parametrica

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Per le schiere rettangolari:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Per le schiere polari:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Crea una schiera dall'oggetto dato con, in caso di matrice rettangolare, xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e lo stesso per la direzione y con yvector e ynum, e lo stesso vale per la direzione z con zvector e znum se viene usata tale versione. In caso di serie polare, il centro è un vettore, totalangle è l'angolo a coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
  • Il risultato di questa funzione è un oggetto Draft Array parametrico.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)